{

  //常规委托收集-奖励评判 

  "ID": 3020113,

  "EventTypeTag": [

    "CameraMoveToCenter_ban"

  ],

  "Events": {

    "OnStart": {

      "Actions": [

        //找到的金币数量总计

        {

          "$type":"Share.CConfigSetSpecial",

          "SpecialName":"CountCoin",

          "SpecialValue":"scenevar(CountArea.13020106)+scenevar(CountArea.23020106)+scenevar(CountArea.33020106)"

        },

        {

          "$type": "Share.CConfigOpenDialog"

        },

        {

          "$type": "Share.CConfigChoiceServer",

          "OptionsMode": "Normal",

          "Title": "Event3020113_Title",

          "Description": "Event3020113_1",

          "QuestionDescription": "Event3020113_2",

          "Choices": [

            {

              "OptionText": "Event3020113_3",

              "OptionText2": "Event3020113_4",

              "OptionIcon1": 111,

              "Predicates":[

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 17,

                  "CompareType": "Equal"

                }

              ],

              "OptionContents": [

                {

                  "Actions": [

                    {

                      "$type":"Share.CConfigSetSpecial",

                      "SpecialName":"Flag",

                      "SpecialValue":4

                    },

                    {

                      "$type": "Share.CConfigJump",

                      "Jump": "Reward_A"

                    }

                  ]

                }

              ]

            },

            {

              "OptionText": "Event3020113_5",

              "OptionText2": "Event3020113_6",

              "OptionIcon1": 111,

              "Predicates":[

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 16,

                  "CompareType": "LessEqual"

                },

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 15,

                  "CompareType": "GreaterEqual"

                }

              ],

              "OptionContents": [

                {

                  "Actions": [

                    {

                      "$type":"Share.CConfigSetSpecial",

                      "SpecialName":"Flag",

                      "SpecialValue":3

                    },

                    {

                      "$type": "Share.CConfigJump",

                      "Jump": "Reward_B"

                    }

                  ]

                }

              ]

            },

            {

              "OptionText": "Event3020113_7",

              "OptionText2": "Event3020113_8",

              "OptionIcon1": 111,

              "Predicates":[

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 14,

                  "CompareType": "LessEqual"

                },

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 7,

                  "CompareType": "GreaterEqual"

                }

              ],

              "OptionContents": [

                {

                  "Actions": [

                    {

                      "$type":"Share.CConfigSetSpecial",

                      "SpecialName":"Flag",

                      "SpecialValue":2

                    },

                    {

                      "$type": "Share.CConfigJump",

                      "Jump": "Reward_C"

                    }

                  ]

                }

              ]

            },

            {

              "OptionText": "Event3020113_9",

              "OptionText2": "Event3020113_10",

              "OptionIcon1": 111,

              "Predicates":[

                {

                  "$type": "Share.CConfigEventBySpecials",

                  "ParamName": "CountCoin",

                  "Param": 6,

                  "CompareType": "LessEqual"

                }

              ],

              "OptionContents": [

                {

                  "Actions": [

                    {

                      "$type":"Share.CConfigSetSpecial",

                      "SpecialName":"Flag",

                      "SpecialValue":1

                    },

                    {

                      "$type": "Share.CConfigJump",

                      "Jump": "Reward_D"

                    }

                  ]

                }

              ]

            }

          ]

        }

      ]

    },



    "Reward_A": { //10技能书，140丁尼

      "Actions": [

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "SkillBook.3020114",

          "Value": 10

        },

        {

          //140丁尼

          "$type": "Share.CConfigAddItem",

          "ItemID": 10,

          "Count": "specials(SliverCoin)"

        },

        {

          "$type": "Share.CConfigCloseDialog"

      },

      {

        "$type": "Share.CConfigSetMapState",

        "X": 5,

        "Y": 1,

        "Position": "Absolute",

        "Radius": 0,

        "Count": 1,

        "FromVisibleState": [

            "VisibleByTriggerEvent"

        ],

        "ToVisibleState": ["Visible"]

    },

      {

          "$type": "Share.CConfigFinishEvent"

      }

      ]

    },

    "Reward_B": { //10技能书

      "Actions": [

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "SkillBook.3020114",

          "Value": 10

        },

        {

          "$type": "Share.CConfigCloseDialog"

      },

      {

        "$type": "Share.CConfigSetMapState",

        "X": 5,

        "Y": 1,

        "Position": "Absolute",

        "Radius": 0,

        "Count": 1,

        "FromVisibleState": [

            "VisibleByTriggerEvent"

        ],

        "ToVisibleState": ["Visible"]

    },

      {

          "$type": "Share.CConfigFinishEvent"

      }

      ]

    },

    "Reward_C": { //9技能书

      "Actions": [

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "SkillBook.3020114",

          "Value": 9

        },

        {

          "$type": "Share.CConfigCloseDialog"

      },

      {

        "$type": "Share.CConfigSetMapState",

        "X": 5,

        "Y": 1,

        "Position": "Absolute",

        "Radius": 0,

        "Count": 1,

        "FromVisibleState": [

            "VisibleByTriggerEvent"

        ],

        "ToVisibleState": ["Visible"]

    },

      {

          "$type": "Share.CConfigFinishEvent"

      }

      ]

    },

    "Reward_D": { //8技能书

      "Actions": [

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "SkillBook.3020114",

          "Value": 8

        },

        

        {

          "$type": "Share.CConfigCloseDialog"

      },

      {

        "$type": "Share.CConfigSetMapState",

        "X": 5,

        "Y": 1,

        "Position": "Absolute",

        "Radius": 0,

        "Count": 1,

        "FromVisibleState": [

            "VisibleByTriggerEvent"

        ],

        "ToVisibleState": ["Visible"]

    },

      {

          "$type": "Share.CConfigFinishEvent"

      }

      ]

    }

  },

  "Specials": {

    //找到金币数量

    "CountCoin": 0,

    //奖励发放计数用

    "Count":0,

    //标记奖励

    "Flag":0,

    //丁尼奖励

    "SliverCoin": 110,

    //装备掉落概率

    "Rare_4": 1,

    "Rare_3": 15,

    "Rare_2": 30,

    "Rare_1": 54

  }

}